# codacmp

This documentation describes the functionality of the codacmp tool which is part of CODA.

## General description

With codacmp one can compare two product files. The tool is primarily intended for verification purposes.

        codacmp [-D definitionpath] [<options>] file1 file2
            Compare contents of file1 and file2
            Options:
                -d, --disable_conversions
                        do not perform unit/value conversions
                -p, --path <path>
                        path (in the form of a CODA node expression) to the
                        location in the product where the comparison should begin.
                        This path should be available in both products. If this
                        parameter is not provided the full products are compared.
                -k, --key <path_to_array> <key_string_expr>
                        for the given array in the product use the string
                        expression as a unique key to line up the array elements in
                        the two products. The array elements will then be compared
                        as if it were record fields where the 'key' is used as the
                        field name. This option can be provided multiple times (for
                        different paths).
                -V, --verbose
                        show more information while performing the comparison

        codacmp -h, --help
            Show help (this text)

        codacmp -v, --version
            Print the version number of CODA and exit

        CODA will look for .codadef files using a definition path, which is a ':'
        separated (';' on Windows) list of paths to .codadef files and/or to
        directories containing .codadef files.
        By default the definition path is set to a single directory relative to
        the tool location. A different definition path can be set via the
        CODA_DEFINITION environment variable or via the -D option.
        (the -D option overrides the environment variable setting).